OpenTTD Source: Data Fields - Functions

OpenTTD Source 15.0-RC2

Here is a list of all documented functions with links to the struct/union documentation for each field:

### - d -

- DateAtStartOfYear() : TimerGame< T >
- DateToYear() : TimerGame< T >
- DecreaseOps() : Squirrel
- Decrypt() : NetworkEncryptionHandler, X25519EncryptionHandler
- DecTypeCount() : Object
- DefaultSize() : LanguagePackGlyphSearcher, MissingGlyphSearcher, TextfileWindow
- DefSQAdvancedMethod() : DefSQClass< CL, ST >
- DefSQAdvancedStaticMethod() : DefSQClass< CL, ST >
- DefSQMethod() : DefSQClass< CL, ST >
- DefSQStaticMethod() : DefSQClass< CL, ST >
- DeleteAll() : Textbuf
- DeleteChar() : Textbuf
- DeleteClosedWindows() : Window
- DeleteFlows() : FlowStatMap
- DeleteOrderAt() : OrderList
- DeleteText() : Textbuf
- DeleteUnreachedImplicitOrders() : Vehicle
- DeliverSupply() : LinkGraphJob::NodeAnnotation
- DemandCalculator() : DemandCalculator
- DemandTo() : LinkGraphJob::NodeAnnotation
- DepotClick() : DepotWindow
- Dequeue() : LinkGraphSchedule
- Destroy() : OpenGLBackend, OpenGLSprite, PacketWriter
- Detach() : HashTableSlot< TItem >, Path
- DetermineBestSet() : BaseMedia< Tbase_set >
- DetermineCapacity() : Engine
- DiagonalTileArea() : DiagonalTileArea
- DiagonalTileIterator() : DiagonalTileIterator
- Died() : AIInstance, GameInstance, ScriptInstance
- Dijkstra() : MultiCommodityFlow
- DirtyHighlightedGroupWidget() : VehicleGroupWindow
- DisableAllWidgetHighlight() : Window
- DisableWidget() : Window
- DisasterVehicle() : DisasterVehicle
- DiscardMarkedText() : Textbuf
- DisplayCrashDialog() : CrashLogOSX
- DistanceAnnotation() : DistanceAnnotation
- Do() : CommandHelper< Tcmd, Tret(*)(DoCommandFlags, Targs...), true >
- DoAlloc() : ScriptAllocator
- DockToolbarGlobalHotkeys() : BuildDocksToolbarWindow
- DoCommandCallback() : ScriptInstance
- DoCommandReturn() : ScriptInstance
- DoCommandReturnGoalID() : ScriptInstance
- DoCommandReturnGroupID() : ScriptInstance
- DoCommandReturnLeagueTableElementID() : ScriptInstance
- DoCommandReturnLeagueTableID() : ScriptInstance
- DoCommandReturnSignID() : ScriptInstance
- DoCommandReturnStoryPageElementID() : ScriptInstance
- DoCommandReturnStoryPageID() : ScriptInstance
- DoCommandReturnVehicleID() : ScriptInstance
- DoRestore() : OrderBackup
- DoScan() : GRFFileScanner, TarScanner
- DoUpdateSpeed() : GroundVehicle< T, Type >
- DownloadContentInfo() : ClientNetworkContentSocketHandler
- DownloadSelectedContent() : ClientNetworkContentSocketHandler
- DownloadSelectedContentFallback() : ClientNetworkContentSocketHandler
- DownloadSelectedContentHTTP() : ClientNetworkContentSocketHandler
- DrainCommandQueue() : VideoDriver
- Draw() : BaseSettingEntry, Blitter, Blitter_32bppAnim, Blitter_32bppOptimized, Blitter_32bppSimple, Blitter_40bppAnim, Blitter_8bppOptimized, Blitter_8bppSimple, Blitter_Null, ButtonLine, CargoesField, ClientButtonLine, CompanyButtonLine, LinkGraphOverlay, NWidgetBackground, NWidgetBase, NWidgetContainer, NWidgetLayer, NWidgetLeaf, NWidgetMatrix, NWidgetNewGRFDisplay, NWidgetScrollbar, NWidgetSocialPlugins, NWidgetSpacer, NWidgetStacked, NWidgetToolbarContainer, NWidgetViewport, SettingsContainer, SettingsPage, VehicleSpriteSeq
- DrawAcceptedCargo() : StationViewWindow
- DrawActionElement() : StoryBookWindow
- DrawActions() : TownAuthorityWindow
- DrawArrivalDeparturePanel() : TimetableWindow
- DrawButtons() : ButtonLine
- DrawCargoIcons() : StationViewWindow
- DrawCargoRatings() : StationViewWindow
- DrawColourMappingRect() : Blitter, Blitter_32bppAnim, Blitter_32bppSimple, Blitter_40bppAnim, Blitter_8bppBase, Blitter_Null
- DrawContent() : LinkGraphOverlay
- DrawDetails() : NetworkContentListWindow
- DrawElementTimesColumn() : FramerateWindow
- DrawEntries() : StationViewWindow
- DrawGraph() : BaseGraphWindow
- DrawGroupInfo() : VehicleGroupWindow
- DrawHorConnection() : CargoesField
- DrawHorizMapIndicator() : SmallMapWindow
- DrawIndustryNames() : SmallMapWindow
- DrawInfo() : IndustryViewWindow
- DrawLine() : Blitter, Blitter_32bppAnim, Blitter_32bppBase, Blitter_40bppAnim, Blitter_8bppBase, Blitter_Null
- DrawLinks() : LinkGraphOverlay
- DrawListColumn() : GoalListWindow
- DrawMainPanelWidget() : NewGRFInspectWindow
- DrawMapIndicators() : SmallMapWindow
- DrawMatrix() : NetworkContentListWindow
- DrawMouseCursor() : OpenGLBackend
- DrawRatings() : TownAuthorityWindow
- DrawRect() : Blitter, Blitter_32bppAnim, Blitter_32bppBase, Blitter_40bppAnim, Blitter_8bppBase, Blitter_Null
- DrawServerLine() : NetworkGameWindow
- DrawSetting() : SettingEntry, SettingsPage
- DrawSignalSprite() : BuildSignalWindow
- DrawSmallMap() : SmallMapWindow
- DrawSmallMapColumn() : SmallMapWindow
- DrawSortButtonState() : Window
- DrawStationDots() : LinkGraphOverlay
- DrawString() : NewGRFInspectWindow
- DrawSummaryPanel() : TimetableWindow
- DrawTimetablePanel() : TimetableWindow
- DrawTowns() : SmallMapWindow
- DrawType() : HousePickerCallbacks, ObjectPickerCallbacks, PickerCallbacks, RoadStopPickerCallbacks< roadstoptype >, RoadWaypointPickerCallbacks, StationPickerCallbacks, WaypointPickerCallbacks
- DrawVehicleChainWidget() : NewGRFInspectWindow
- DrawVehicleDetails() : VehicleDetailsWindow
- DrawVehicleInDepot() : DepotWindow
- DrawVehicleListItems() : BaseVehicleListWindow
- DrawVehicles() : SmallMapWindow
- DrawVertex() : LinkGraphOverlay
- DrawVertMapIndicator() : SmallMapWindow
- DrawViewport() : Window
- DrawWidget() : AboutWindow, AIConfigWindow, BaseCargoGraphWindow, BaseGraphWindow, BaseNetworkContentDownloadStatusWindow, BootstrapAskForDownloadWindow, BootstrapBackground, BootstrapErrorWindow, BuildAirportWindow, BuildBridgeWindow, BuildDocksDepotWindow, BuildHouseWindow, BuildIndustryWindow, BuildObjectWindow, BuildRailDepotWindow, BuildRailStationWindow, BuildRoadDepotWindow, BuildRoadStationWindow, BuildSignalWindow, BuildTreesWindow, BuildVehicleWindow, BuyCompanyWindow, CheatWindow, CompanyFinancesWindow, CompanyInfrastructureWindow, CompanyStationsWindow, CompanyWindow, DepotWindow, DropdownWindow, EnginePreviewWindow, ErrmsgWindow, FramerateWindow, FrametimeGraphWindow, GameOptionsWindow, GenerateProgressWindow, GoalQuestionWindow, GraphLegendWindow, GSConfigWindow, IndustryCargoesWindow, IndustryDirectoryWindow, LandInfoWindow, LinkGraphLegendWindow, MessageHistoryWindow, MusicTrackSelectionWindow, MusicWindow, NetworkAskRelayWindow, NetworkAskSurveyWindow, NetworkClientListWindow, NetworkContentListWindow, NetworkGameWindow, NetworkJoinStatusWindow, NetworkStartServerWindow, NewGRFInspectWindow, NewGRFParametersWindow, NewGRFWindow, NewsWindow, OrdersWindow, OskWindow, PerformanceLeagueWindow, PerformanceRatingDetailWindow, PickerWindow, QueryWindow, RefitWindow, ReplaceVehicleWindow, SaveLoadWindow, SavePresetWindow, ScanProgressWindow, ScenarioEditorLandscapeGenerationWindow, ScenarioEditorToolbarWindow, ScriptDebugWindow, ScriptLeagueWindow, ScriptListWindow, ScriptSettingsWindow, SelectCompanyLiveryWindow, SelectCompanyManagerFaceWindow, SelectGameWindow, SelectStationWindow< T >, SignListWindow, SmallMapWindow, SpriteAlignerWindow, StatusBarWindow, StoryBookWindow, SubsidyListWindow, TextfileWindow, TimetableWindow, TooltipsWindow, TownAuthorityWindow, TownDirectoryWindow, TownViewWindow, TransparenciesWindow, VehicleDetailsWindow, VehicleGroupWindow, VehicleListWindow, VehicleViewWindow, Window
- DrawWidgetCompanyButton() : ScriptDebugWindow
- DrawWidgetLog() : ScriptDebugWindow
- DrawWidgets() : Window
- DriverFactoryBase() : DriverFactoryBase
- DropdownWindow() : DropdownWindow
- DummyConstructor() : AIInfo
- Dump() : NodeList< Titem, Thash_bits_open, Thash_bits_closed >